#include <string>
#include "timer.h"

Timer::Timer()
{
    reset();
}

void Timer::reset()
{
    begin = std::chrono::high_resolution_clock::now();
    duration = 
        std::chrono::duration_cast<std::chrono::nanoseconds>(begin-begin);
}

void Timer::tic()
{
    begin = std::chrono::high_resolution_clock::now();
}

float Timer::toc()
{
    duration += std::chrono::duration_cast<std::chrono::nanoseconds>
                    (std::chrono::high_resolution_clock::now()-begin);
    return get();
}

float Timer::get()
{
    return (float)duration.count() / 1000000000.0;
}
