import os, sys

if int(sys.argv[1]) == -1:
    data_list = ['heart_scale']
elif int(sys.argv[1]) == 0:
    data_list = ['rcv1_test']
else:
    data_list = ['avazu-app', 'criteo', 'eps', 'higgs', 'kdda', 'kdd12', 'rcv1_test', 'split_site_t_0_1', 'url', 'web']

datas_path_dict = {\
'heart_scale':'./data/heart_scale',\
'avazu-app':'./data/avazu-app',\
'kdda':'./data/kdda' ,\
'criteo':'./data/criteo.tr.svm', \
'yk':'./data/leisure', \
'eps':'./data/epsilon_normalized', \
'HIGGS':'./data/HIGGS', \
'kdd12':'./data/kdd12', \
'url':'./data/url_combined', \
'web_trigram':'./data/webspam_wc_normalized_trigram',\
'rcv1_test':'./data/rcv1_test', \
'split_site_t_0_1':'./data/split_site.t.0.1'
}

dir_suffix = 'nnza.nnzb.log'
for data in data_list:
    input_path = '{data}.{suffix}/{data}-{c}-log-{s}'.format(c=1, data_path=datas_path_dict[data], data=data, suffix = dir_suffix, s = 5)
    with open(input_path + '.updates.nnz', 'w') as out:
        for line in open(input_path):
            if line.startswith('sparse') or line.startswith('dense'):
                line = line.strip().split()
                count = int(line[2])
                updates = int(line[3])

                if count == 0: continue

                out.write('{0} {1} {2}\n'.format(count, updates, line[-1]))
    os.system('sort -nr -k 1 {data}.{suffix}/{data}-{c}-log-{s}.updates.nnz > ./{data}-{c}-log-{s}.updates.nnz.sorted'.format(c=1, data_path=datas_path_dict[data], data=data, suffix = dir_suffix, s = 5))
