import sys

import numpy as np

if int(sys.argv[1]) == -1:
    data_list = ['heart_scale']
elif int(sys.argv[1]) == 0:
    data_list = ['rcv1_test']
else:
    data_list = ['kdda', 'kdd12', 'eps', 'avazu-app', 'higgs', 'url', 'criteo', 'web_trigram', 'splice_site_t_0_1', 'rcv1_test']

datas_path_dict = {\
'heart_scale':'./data/heart_scale',\
'avazu-app':'./data/avazu-app',\
'criteo':'./data/criteo.tr.svm', \
'eps':'./data/epsilon_normalized', \
'higgs':'./data/HIGGS', \
'kdda':'./data/kdda',\
'kdd12':'./data/kdd12', \
'rcv1_test':'./data/rcv1_test', \
'url':'./data/url_combined', \
'web_trigram':'./data/webspam_wc_normalized_trigram',\
'splice_site_t_0_1':'./data/splice_site.t.0.1'
}

for data in data_list:
    inst_count_path = datas_path_dict[data] + '.nnz.per.inst'
    feat_count_path = datas_path_dict[data] + '.nnz.per.feat'

    feat_val_list = []
    inst_val_list = []

    for line in open(inst_count_path):
        inst_val_list.append(float(line))
    inst_val_array = np.sort(np.asarray(inst_val_list))[::-1]

    for line in open(feat_count_path):
        feat_val_list.append(float(line))
    feat_val_array = np.sort(np.asarray(feat_val_list))[::-1]

    sum_inst_val_array = sum(inst_val_array)
    sum_feat_val_array = sum(feat_val_array)


    with open(inst_count_path + '.percentile', 'w') as out:
        sum_val = 0
        for val in inst_val_array:
            sum_val += val
            out.write('{0} {1}\n'.format(val, sum_val*1.0/sum_inst_val_array))

    with open(feat_count_path + '.percentile', 'w') as out:
        sum_val = 0
        for val in feat_val_array:
            sum_val += val
            out.write('{0} {1}\n'.format(val, sum_val*1.0/sum_feat_val_array))
